Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 460205 - Eclipse crashes JVM when opening a project
Summary: Eclipse crashes JVM when opening a project
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk
Version: 9
Hardware: x86_64
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Lillian Angel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-26 19:29 UTC by Clint Goudie
Modified: 2008-09-11 17:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-09 13:14:29 UTC
Type: ---


Attachments (Terms of Use)

Description Clint Goudie 2008-08-26 19:29:18 UTC
Description of problem:

When opening some of my projects in eclipse, I'm getting:

#
# An unexpected error has been detected by Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x0000000000808afa, pid=21226, tid=24918352
#
# Java VM: OpenJDK 64-Bit Server VM (1.6.0-b09 mixed mode linux-amd64)
# Problematic frame:
# V  [libjvm.so+0x1ffafa]
#
# If you would like to submit a bug report, please visit:
#   http://icedtea.classpath.org/bugzilla
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.


Version-Release number of selected component (if applicable):

java-1.6.0-openjdk-1.6.0.0-0.16.b09.fc9.x86_64

How reproducible:

Every time I open some of my projects.


Additional info:

The icedtea bugzilla says this has already been fixed:

http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=180

and references the patch from here:

http://article.gmane.org/gmane.comp.java.openjdk.distro-packaging.devel/2390

Could this patch, or an updated version of openjdk please be rolled into the current version of Java on Fedora 9?

I'd just update to rawhide, but attpeting to only update the openjdk packages has a dependency on ca-certificates-2008-6.noarch and file /etc/pki/tls/certs/ca-bundle.crt from install of ca-certificates-2008-6.noarch conflicts with file from package openssl-0.9.8g-9.fc9.x86_64

Comment 1 Clint Goudie 2008-09-02 14:56:07 UTC
after pulling down the rpms from rawhide, and installing them with the nodeps rpm option, my problem is resolved. 

I'd still prefer to see an official fix in F9.

Comment 2 Fedora Update System 2008-09-09 13:12:16 UTC
java-1.6.0-openjdk-1.6.0.0-0.18.b09.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-0.18.b09.fc9

Comment 3 Fedora Update System 2008-09-11 17:01:41 UTC
java-1.6.0-openjdk-1.6.0.0-0.18.b09.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.